AbstractSelectorOrderer (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class AbstractSelectorOrderer<T>

    java.lang.Object
      org.neo4j.kernel.AbstractSelectorOrderer<T>

All Implemented Interfaces:
  BranchSelector, SideSelector

Direct Known Subclasses:
  AlternatingSelectorOrderer, LevelSelectorOrderer

    public abstract class AbstractSelectorOrderer<T>

extends Object
implements SideSelector

Constructor Summary
`AbstractSelectorOrderer(BranchSelector startSelector, BranchSelector endSelector)`

Method Summary
`Direction` | `currentSide()`
`protected void` | `endCurrentSelector()`
`protected T` | `getStateForCurrentSelector()`
`protected T` | `initialState()`
`protected TraversalBranch` | `nextBranchFromCurrentSelector(TraversalContext metadata, boolean switchIfExhausted)`
`protected TraversalBranch` | `nextBranchFromNextSelector(TraversalContext metadata, boolean switchIfExhausted)`
`protected BranchSelector` | `nextSelector()`
`protected void` | `setStateForCurrentSelector(T state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.neo4j.graphdb.traversal.BranchSelector
`next`

Constructor Detail

### AbstractSelectorOrderer

    public AbstractSelectorOrderer(BranchSelector startSelector,
                                   BranchSelector endSelector)

Method Detail

### initialState

    protected T initialState()

### setStateForCurrentSelector

    protected void setStateForCurrentSelector(T state)

### getStateForCurrentSelector

    protected T getStateForCurrentSelector()

### nextBranchFromCurrentSelector

    protected TraversalBranch nextBranchFromCurrentSelector(TraversalContext metadata,
                                                            boolean switchIfExhausted)

### nextBranchFromNextSelector

    protected TraversalBranch nextBranchFromNextSelector(TraversalContext metadata,
                                                         boolean switchIfExhausted)

### nextSelector

    protected BranchSelector nextSelector()

### currentSide

    public Direction currentSide()

  Specified by:
    `currentSide` in interface `SideSelector`
  Returns:
    the side to traverse next on, `Direction.OUTGOING` for start side and `Direction.INCOMING` for end side.

### endCurrentSelector

    protected void endCurrentSelector()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.